package com.lesingle.modules.sys.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.lesingle.common.result.PageResult;
import com.lesingle.modules.sys.dto.CreateDictDto;
import com.lesingle.modules.sys.entity.SysDict;

public interface ISysDictService extends IService<SysDict> {

    SysDict createDict(CreateDictDto dto, Long tenantId);

    PageResult<SysDict> findAll(Long page, Long pageSize, Long tenantId);

    SysDict findByCode(String code, Long tenantId);

    SysDict findDetail(Long id, Long tenantId);

    SysDict updateDict(Long id, CreateDictDto dto, Long tenantId);

    void removeDict(Long id, Long tenantId);
}
